%define upstreamid 20060120

Name: hyphen-de
Summary: German hyphenation rules
Version: 0.%{upstreamid}
Release: %mkrel 10
Source: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/hyph_de_DE.zip
Group: Text tools
URL: http://wiki.services.openoffice.org/wiki/Dictionaries
License: LGPLv2+
BuildArch: noarch
Requires: hyphen
Requires: locales-de

%description
German hyphenation rules.

%prep
%setup -q -c -n hyphen-de

%build
for i in README_hyph_de_DE.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-1 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/hyphen
cp -p hyph_de_DE.dic $RPM_BUILD_ROOT/%{_datadir}/hyphen

pushd $RPM_BUILD_ROOT/%{_datadir}/hyphen/
de_DE_aliases="de_AT de_BE de_CH de_LI de_LU"
for lang in $de_DE_aliases; do
        ln -s hyph_de_DE.dic hyph_$lang.dic
done
popd

%files
%doc README_hyph_de_DE.txt
%{_datadir}/hyphen/*


%changelog
* Sat Mar 19 2022 umeabot <umeabot> 0.20060120-10.mga9
+ Revision: 1801391
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 0.20060120-9.mga8
+ Revision: 1491072
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.20060120-8.mga7
+ Revision: 1262729
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 0.20060120-7.mga6
+ Revision: 934792
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20060120-6.mga5
+ Revision: 740741
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20060120-5.mga5
+ Revision: 680349
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.20060120-4.mga4
+ Revision: 522931
- Mageia 4 Mass Rebuild

* Fri Mar 29 2013 tv <tv> 0.20060120-3.mga3
+ Revision: 406154
- requires locales-hyphen-de (mga#9540)

* Sat Jan 12 2013 umeabot <umeabot> 0.20060120-2.mga3
+ Revision: 353859
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 12 2011 ahmad <ahmad> 0.20060120-1.mga1
+ Revision: 69983
- fix group
- imported package hyphen-de


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20060120-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 29 2009 Jesse Keating <jkeating@redhat.com> - 0.20060120-6
- Bump again due to buildsystem error

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20060120-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 11 2009 Caolan McNamara <caolanm@redhat.com> - 0.20060120-4
- tidy spec

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20060120-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Nov 25 2007 Caolan McNamara <caolanm@redhat.com> - 0.20060120-2
- fix license

* Fri Nov 23 2007 Caolan McNamara <caolanm@redhat.com> - 0.20060120-1
- initial version
